## qtads 2.1.1

=== debian/changelog ===
qtads (2.1.1-1) unstable; urgency=low

  * New upstream release.
    + Ported to Qt4.  Closes: #604582.
    + Update debian/control to reflect the fact that this version
      supports HTML TADS.
  * Update to 3.0 (quilt) source format.

 -- Daniel Schepler <schepler@debian.org>  Sat, 02 Apr 2011 13:27:52 -0700

qtads (1.9-1) unstable; urgency=low

  * New upstream release

 -- Daniel Schepler <schepler@debian.org>  Tue, 10 Nov 2009 16:49:43 -0800

qtads (1.7-1) unstable; urgency=low

  * New upstream release

 -- Daniel Schepler <schepler@debian.org>  Sat, 24 May 2008 10:26:39 -0700

qtads (1.6c-3) unstable; urgency=low

  * New patch 02_gcc43_fix.diff: fix compilation with g++-4.3.
    Closes: #454813.
  * Remove QMAKE_STRIP=: workaround and Build-Depend on fixed version
    of cdbs.
  * Bump to debhelper compatibility level 6.
  * Bump standards-version to 3.7.3 (no changes needed).
  * Fix a couple lintian issues.

 -- Daniel Schepler <schepler@debian.org>  Thu, 21 Feb 2008 21:07:57 -0500

qtads (1.6c-2) unstable; urgency=low

  * Use cdbs' qmake support instead of our own.
  * Set QMAKE_STRIP=: to work around qmake's unconditional stripping
    of installed binaries.  Closes: #437868.
    (See also: #438417.)
  * Add debian/watch file.
  * Update debhelper compat level, Standards-Version.

 -- Daniel Schepler <schepler@debian.org>  Thu, 16 Aug 2007 15:51:37 -0400

qtads (1.6c-1) unstable; urgency=low

  * New upstream release.  Closes: #298843.
  * Add patch 01_amd64_fix.diff to fix the little-endian portability
    macros to work also on amd64.  Closes: #307843.

 -- Daniel Schepler <schepler@debian.org>  Thu, 25 Aug 2005 21:09:04 -0700

qtads (1.3a-2) unstable; urgency=low

  * Compile using -fno-strict-aliasing, to fix crash on running TADS3
    games.

 -- Daniel Schepler <schepler@debian.org>  Tue, 14 Oct 2003 22:17:48 -0700

qtads (1.3a-1) unstable; urgency=low

  * Initial Release.  Closes: #213964.

 -- Daniel Schepler <schepler@debian.org>  Fri,  3 Oct 2003 11:45:24 -0700
