=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/qmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

export QTDIR = /usr/share/qt4

CFLAGS += -fno-strict-aliasing
CXXFLAGS += -fno-strict-aliasing

QMAKE = qmake-qt4
DEB_QMAKE_ARGS := BIN_INSTALL=/usr/games DOC_INSTALL=/usr/share/doc \
	DATA_INSTALL=/usr/share

clean::
	if [ -d tmp ]; then rmdir tmp; fi

install/qtads::
# GPL is already on Debian systems...
	rm -f $(DEB_DESTDIR)/usr/share/doc/qtads/COPYING
# Installation instructions are useless for the binary package...
	rm -f $(DEB_DESTDIR)/usr/share/doc/qtads/INSTALL
