=== debian/watch ===
version=3
http://sf.net/qtads/qtads-([0-9a-z.]+)\.tar\.gz
