## qtads 2.1.3

=== debian/changelog ===
qtads (2.1.3-1) unstable; urgency=low

  * New upstream release.
  * Add Build-Depends on pkg-config.  Closes: #671979.
  * Update watch file to look for tar.bz2 files.  Closes: #676503.
  * Disable CONFIG=silent for Debian build.
  * Bump Standards-Version to 3.9.3.

 -- Daniel Schepler <schepler@debian.org>  Sun, 10 Jun 2012 14:42:39 -0700
