=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Daniel Schepler <schepler@debian.org>
-Build-Depends: debhelper (>= 6), libqt4-dev (>= 4:4.5), libsdl-mixer1.2-dev, libsdl-sound1.2-dev, cdbs (>= 0.4.50)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 6), libqt4-dev (>= 4:4.5), libsdl-mixer1.2-dev, libsdl-sound1.2-dev, cdbs (>= 0.4.50), pkg-config
+Standards-Version: 3.9.3
 
 Package: qtads
 Architecture: any
