## qtads 2.1.6

=== debian/changelog ===
qtads (2.1.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4.
  * Add new shared-mime-info file and icons.

 -- Daniel Schepler <schepler@debian.org>  Sun, 14 Jul 2013 11:32:39 -0700
