=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Schepler <schepler@debian.org>
 Build-Depends: debhelper (>= 6), libqt4-dev (>= 4:4.5), libsdl-mixer1.2-dev, libsdl-sound1.2-dev, cdbs (>= 0.4.50), pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: qtads
 Architecture: any
