=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 DEB_QMAKE_ARGS := BIN_INSTALL=/usr/games DOC_INSTALL=/usr/share/doc \
 	DATA_INSTALL=/usr/share
 
-clean::
-	if [ -d tmp ]; then rmdir tmp; fi
-
 install/qtads::
 # GPL is already on Debian systems...
 	rm -f $(DEB_DESTDIR)/usr/share/doc/qtads/COPYING
