## qtads 2.1.7

=== debian/changelog ===
qtads (2.1.7-0.1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:14 +0100

qtads (2.1.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
    New upstream release, fixes frequent crashes (Closes: #471293)
  * Debhelper 9    
  * Fix FTBFS with contemporary compilers, patch by Juhani Numminen. Thanks!
    (Closes: #853629)
  * Build with Qt5, patch by Juhani Numminen. Thanks! (Closes: #875157)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 12 Sep 2019 22:48:42 +0200

qtads (2.1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=c++11. qtads is not ready for C++14.  (Closes: #857897)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 19 Mar 2017 02:41:27 +0100
