=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,13 @@
 include /usr/share/cdbs/1/class/qmake.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-export QTDIR = /usr/share/qt4
+export QTDIR = /usr/share/qt5
 
 CFLAGS += -fno-strict-aliasing
-CXXFLAGS += -fno-strict-aliasing
+CXXFLAGS += -fno-strict-aliasing -std=c++11
 
-QMAKE = qmake-qt4
+export QT_SELECT = qt5
+QMAKE = qmake
 DEB_QMAKE_ARGS := BIN_INSTALL=/usr/games DOC_INSTALL=/usr/share/doc \
 	DATA_INSTALL=/usr/share
