## qtads 3.4.0+dfsg

=== debian/changelog ===
qtads (3.4.0+dfsg-2) unstable; urgency=medium

  * Use system libfmt instead of vendored one
  * Add patch to do verbose builds
  * Update watch file
  * Add description to patch
  * Update my email address

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 Oct 2025 11:00:58 +0200

qtads (3.4.0+dfsg-1) unstable; urgency=medium

  * Adopt package.
  * New upstream release. (Closes: #984310, #940465, #1019737)
  * Project has been imported in Salsa under the Games team.
  * Drop old Debian menu entry.
  * Switch from CDBS to DebHelper (compat level 13)
  * set Rules-Requires-Root: no
  * update Standards-Version to 4.6.2
  * Update build-dependencies:
    * SDL1 -> SDL2
    * pkg-config -> pkgconf
    * explicitly add Vorbis, Mpg123, SndFile, FluidSynth.
    * add dependency on libqt5svg5-dev
  * debian/copyright:
    * rewrite in DEP-5 format
    * QTads has been relicensed under the GPL-3 from version 3.0
  * debian/watch:
    * The archive is repacked to drop a copy of Bootstrap.js
    * Upstream moved from SourceForge to GitHub.
  * debian/patches:
    * drop old pointer/integer comparison patch, merged upstream.
    * disable the auto-update notification

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 19 May 2023 16:36:05 +0200
