=== debian/control ===
--- 
+++ 
@@ -1,14 +1,35 @@
 Source: qtads
 Section: games
 Priority: optional
-Maintainer: Daniel Schepler <schepler@debian.org>
-Build-Depends: debhelper (>= 6), libqt4-dev (>= 4:4.5), libsdl-mixer1.2-dev, libsdl-sound1.2-dev, cdbs (>= 0.4.50), pkg-config
-Standards-Version: 3.9.4
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders:
+ Daniel Schepler <schepler@debian.org>,
+ Alexandre Detiste <tchet@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libfluidsynth-dev,
+ libfmt-dev,
+ libmpg123-dev,
+ libqt5svg5-dev,
+ libsdl2-dev,
+ libsdl2-mixer-dev,
+ libsndfile1-dev,
+ libvorbis-dev,
+ pkgconf,
+ qtbase5-dev,
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/games-team/qtads.git
+Vcs-Browser: https://salsa.debian.org/games-team/qtads
+Homepage: https://realnc.github.io/qtads/
 
 Package: qtads
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: tads2-interpreter, tads3-interpreter
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ tads2-interpreter,
+ tads3-interpreter,
 Description: Qt HTML interpreter for TADS
  This package provides an interpreter for TADS game files, using a
  Qt interface.  It can run either TADS 2 games (which have an
