=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

execute_after_dh_auto_configure:
	# there should me a smarter way to do that
	sed -i 's#$(INSTALL_ROOT)/usr/bin#$(INSTALL_ROOT)/usr/games#g' Makefile
