=== debian/watch ===
version=4
opts="compression=xz,repacksuffix=+dfsg,repack,dversionmangle=s/\+dfsg\d*//" \
    https://github.com/realnc/qtads/tags/ \
    /realnc/qtads/archive/refs/tags/v@ANY_VERSION@@ARCHIVE_EXT@
